Sessions
Run the validity probe
POST /v1/sessions/{id}/verify: Run the validity probe
POST /v1/sessions/{id}/verify
| Operation id | verifySession |
| Key scope | run: keys that run jobs (and admin keys) |
| Section | Sessions |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | min length 1 |
#Example request
curl -X POST "https://api.kaab.ist/v1/sessions/{id}/verify" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#200
Probe result
| Field | Type | Required | Description |
|---|---|---|---|
status | "valid", "expired", "unknown" | yes | |
checked_at | string (date-time) | yes |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 402 | insufficient_credits: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see error.code) |
| 422 | Semantically invalid request (see error.code) |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |